<?php
/**
 * Register and control the addons.
 *
 * When an addon is activated variables are set in this object. So
 * There connot be two themes activated at the same time without a 
 * warning.
 *
 */
if ( ! defined( 'ABSPATH' ) ){
	exit;
}

class AddonsActivatedControl {
	private $current_addon = 0;
	private $failed_addon = 0;

	function __construct(){
	}

	/**
	 * Set addon activated
	 */
	function set_addon(){
		$this->current_addon = 1;
	}

	/**
	 * Set failed addon
	 */
	function set_failed_addon(){
		$this->failed_addon = 1;
	}

	/**
	 * Remove failed addon
	 */
	function remove_failed_addon(){
		$this->failed_addon = 0;
	}

	/**
	 * Remove current addon name
	 */
	function remove_addon(){
		$this->current_addon = 0;
	}

	/**
	 * Check if an addon is activated.
	 * 
	 * @return boolean
	 */
	function is_addon_set(){
		if ( '' == $this->current_addon ){
			return false;
		}
		else {
			return true;
		}
	}

	/**
	 * Is failed addon set?
	 *
	 * When an addon is activated and there already is one activated this 
	 * function is used to keep the deactivation from executing the remove_addon()
	 * function.
	 * 
	 * @return boolean
	 */
	function is_failed_addon_set(){
		if ( '' == $this->failed_addon ){
			return false;
		}
		else {
			return true;
		}
	}
}
?>